CREATE TABLE t1(a PRIMARY KEY, x UNIQUE);
CREATE TABLE t2(a PRIMARY KEY, y UNIQUE);

INSERT INTO t1 VALUES ('a','m'),('b','n'),('c','o');
INSERT INTO t2 VALUES ('b','k'),('c','l');

SELECT a FROM t1
INTERSECT
SELECT a FROM t2;

ALTER TABLE t2 ADD COLUMN extra_col;